# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

Summary:	Sender Rewriting Scheme for SMTP forwarders
Name:		perl-Mail-SRS
Version:	0.31
Release:	11.%{__distinit}%{__distvers}
License:	GPL+ or Artistic
Group:		Development/Libraries
Url:		http://search.cpan.org/dist/Mail-SRS/
Source0:	http://search.cpan.org/CPAN/authors/id/S/SH/SHEVEK/Mail-SRS-%{version}.tar.gz
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildRequires:	perl(Carp)
BuildRequires:	perl(DB_File)
BuildRequires:	perl(Digest::HMAC)
BuildRequires:	perl(Exporter)
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(Getopt::Long)
BuildRequires:	perl(IO::Select)
BuildRequires:	perl(IO::Socket)
BuildRequires:	perl(MLDBM)
BuildRequires:	perl(Test::Pod)
BuildRequires:	perl(Test::Pod::Coverage)
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

# Kludge to remove docfile dependencies (perl and otherwise)
%global _use_internal_dependency_generator 0
%global __deploop() while read FILE; do /usr/lib/rpm/rpmdeps -%{1} ${FILE}; done | sort -u
%global __find_provides /bin/sh -c "%{__deploop P}"
%global __find_requires /bin/sh -c "grep -v '%{_docdir}/' | %{__deploop R}"

%description
The Sender Rewriting Scheme preserves .forward functionality in an
SPF-compliant world.

SPF requires the SMTP client IP to match the envelope sender
(return-path). When a message is forwarded through an intermediate
server, that intermediate server may need to rewrite the return-path to
remain SPF compliant. If the message bounces, that intermediate server
needs to validate the bounce and forward the bounce to the original
sender.

SRS provides a convention for return-path rewriting that allows
multiple forwarding servers to compact the return-path. SRS also
provides an authentication mechanism to ensure that purported bounces
are not arbitrarily forwarded.

SRS is documented at http://www.openspf.org/SRS

%prep
%setup -q -n Mail-SRS-%{version}

# Wrong permission in tarball
chmod -c -x lib/Mail/SRS/Daemon.pm

%build
MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
%{_fixperms} %{buildroot}

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README* TODO eg
%{_bindir}/srs
%{_bindir}/srsc
%{_bindir}/srsd
%{perl_vendorlib}/Mail/
%{_mandir}/man1/srs.1*
%{_mandir}/man1/srsc.1*
%{_mandir}/man1/srsd.1*
%{_mandir}/man3/Mail::SRS*.3pm*

%changelog
* Fri Jun 29 2012 Paul Howarth <paul@city-fan.org> 0.31-11
- BR: perl(Carp), perl(Exporter), perl(Getopt::Long), perl(IO::Select) and
  perl(IO::Socket)
- Don't need to remove empty directories from the buildroot
- Drop support for old distributions prior to FC-3:
  - Don't need to define %%{perl_vendorlib}
  - Use DESTDIR rather than PERL_INSTALL_ROOT
  - Use %%{_fixperms} macro rather than our own chmod incantation

* Tue Jun 28 2011 Paul Howarth <paul@city-fan.org> 0.31-10
- Rebuild for perl 5.14.1 in Rawhide
- Nobody else likes macros for commands
- Fix dist tag for CentOS 6 and Scientific Linux

* Fri Jun 25 2010 Paul Howarth <paul@city-fan.org> 0.31-9
- Rebuild for perl 5.12.1 in Rawhide

* Fri May  7 2010 Paul Howarth <paul@city-fan.org> 0.31-8
- Fix dist tag to work with RHEL6 Beta

* Fri Mar  5 2010 Paul Howarth <paul@city-fan.org> 0.31-7
- Dist tag for Rawhide no longer needs special-casing
- Use MM_USE_DEFAULT when invoking Makefile.PL

* Fri Sep 18 2009 Paul Howarth <paul@city-fan.org> 0.31-6
- Define RPM macros in global scope
- Clarify license as GPL (version 1 or later), or Artistic (i.e. same as perl)
- Modernize bogus dependency filter

* Tue Jun  5 2007 Paul Howarth <paul@city-fan.org> 0.31-5
- Fix dist tag for Fedora 7 onwards
- Add buildreqs perl(ExtUtils::MakeMaker), perl(Test::Pod),
  perl(Test::Pod::Coverage)
- Fix argument order for find with -depth
- Simplify requires filter
- Refer to www.openspf.org rather than spf.pobox.com in %%description

* Fri Sep  1 2006 Paul Howarth <paul@city-fan.org> 0.31-4
- Fix distribution tags for development releases
- Use search.cpan.org URLs
- Remove buildroot unconditionally in %%clean and %%install

* Tue Jul 12 2005 Paul Howarth <paul@city-fan.org> 0.31-3
- Rewrite spec file in (mainly) Fedora Extras style
- Include full URL for source
- Fix URL
- Use MODULE_COMPAT dependency style and remove explicit perl dependency
- Remove MANIFEST from %%doc
- Using BuildRequires: perl(DB_File) means it's no longer necessary to
  determine if we buildreq perl-DB_File or not
- Fix permission for Daemon.pm

* Tue May  3 2005 Paul Howarth <paul@city-fan.org> 0.31-2
- Tidy up spec file
- Detect whether a separate perl-DB_File dependency is needed automatically
- Incorporate find-requires script into spec file

* Mon Oct 25 2004 Paul Howarth <paul@city-fan.org> 0.31-1
- Update to 0.31

* Tue Aug 17 2004 Paul Howarth <paul@city-fan.org> 0.30-4
- Red Hat Enterprise Linux also requires perl-DB_File
- General tidy up of spec file

* Thu Apr 15 2004 Paul Howarth <paul@city-fan.org> 0.30-3
- Fixed detection of Red Hat Linux for perl-DB_File dependency
- Added perl-Digest-HMAC dependency

* Wed Apr 14 2004 Paul Howarth <paul@city-fan.org> 0.30-2
- Added explicit perl dependency to ensure that an RPM built on a
  system with an updated version of perl (and hence having files
  installed in a place that a non-updated system won't find them)
  will not install on the non-updated system. In such cases, just
  rebuilt from the source RPM
- Changed distribution-identifying macros for greater portability
- perl-DB_File dependency only needed for Red Hat Linux

* Fri Mar 12 2004 Paul Howarth <paul@city-fan.org> 0.30-1
- Update to 0.30

* Wed Mar 03 2004 Paul Howarth <paul@city-fan.org> 0.29-1
- Update to 0.29
- Add Mail-SRS-dependency-generator.sh to filter out requirement
  for /sbin/runscript that comes from eg/gentoo/srsd

* Tue Feb 24 2004 Paul Howarth <paul@city-fan.org> 0.27-1
- Update to 0.27

* Mon Feb 23 2004 Paul Howarth <paul@city-fan.org> 0.26-1
- Update to 0.26

* Thu Feb 19 2004 Paul Howarth <paul@city-fan.org> 0.25-1
- Update to 0.25
- Removed OLD-DOCS

* Wed Feb 18 2004 Paul Howarth <paul@city-fan.org> 0.22-1
- Initial build
